tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shawn <javajun...@koyuru.com>
Subject Tomcat w Java1.5 beta problem
Date Mon, 09 Feb 2004 09:28:40 GMT
Hello,

Under Tomcat 5.0.18 with servlets compiled with 1.5 beta, I get an odd 
message, and  the servlet won't load.  When the same servlet is compiled 
with 1.4.2 it runs fine.

The method signature in the following message is correct.  There is simple 
nothing to complain about.   Is this a problem with Tomcat or Java 
sdk1.5.  Where is the best place to report this to?

No, I have not altertered my common/endorsed jars

2004-02-09 12:00:13 StandardContext[/midp]Servlet /midp threw load() 
exception

	 ...
----- Root Cause -----
java.lang.VerifyError: (class: com/koyuru/midp/servlets/LessonDownload, 
method: compareAvailableToOnHandset signature: 
(Ljava/util/Vector;Ljava/util/Vector;)[Ljava/lang/String;) Incompatible 
object argument for function call
	at java.lang.Class.getDeclaredConstructors0(Native Method)
	at java.lang.Class.privateGetDeclaredConstructors(Class.java:1873)
	at java.lang.Class.getConstructor0(Class.java:2185)
	at java.lang.Class.newInstance0(Class.java:293)
	at java.lang.Class.newInstance(Class.java:275)
	at 
org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1002)



Shawn

Happily using M2, Opera's revolutionary e-mail client: 
http://www.opera.com/m2/

---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org


Mime
View raw message